
Summary:        Turkish spell checker library
Name:           zemberek
Version:        2.1.1
Release:        %mkrel  1
License:        MPLv1.1
Group:          Development/Java
URL:            http://zemberek.googlecode.com
Source:         http://zemberek.googlecode.com/files/%{name}-%{version}-src.zip
Source1:        zemberek-demo
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: java-rpmbuild
BuildRequires: xml-commons-jaxp-1.3-apis

Requires: java

%description
Zemberek is an open source, platform independent, 
general purpose Natural Language Processing 
library and toolset designed for Turkic languages,
especially Turkish.

%package javadoc
Summary: Javadocs for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%package docs
Summary: Documentation for %{name}
Group:  Development/Java
Requires: %{name} = %{version}-%{release}

%description docs
This package contains %{name} documentation for developers.


%prep
%setup -q -n %{name}-%{version}-src

find . -type f -name "*.class" | xargs %{__rm} -f
find . -type f -name "*.jar" | xargs %{__rm} -f

%build

%{ant} dist \
      javadocs

%install

%{__mkdir_p} %{buildroot}%{_javadir}/%{name}


%{__install} -D -m 655 dagitim/jar/zemberek-az-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-az.jar
%{__install} -D -m 655 dagitim/jar/zemberek-cekirdek-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-cekirdek.jar
%{__install} -D -m 655 dagitim/jar/zemberek-demo-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-demo.jar
%{__install} -D -m 655 dagitim/jar/zemberek-tk-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tk.jar
%{__install} -D -m 655 dagitim/jar/zemberek-tr-%{version}.jar %{buildroot}%{_javadir}/%{name}/zemberek-tr.jar


# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}
%{__cp} -a build/java-docs/* %{buildroot}%{_javadocdir}/%{name}

#docs
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}-docs
%{__cp} -a dokuman/%{name}* %{buildroot}%{_docdir}/%{name}-docs/
%{__cp} -a dokuman/*txt %{buildroot}%{_docdir}/%{name}-docs/
%{__cp} -R dokuman/dil-gelistirme/* %{buildroot}%{_docdir}/%{name}-docs/

# examples (demo)
%{__install}  -D -m 655 %{_sourcedir}/zemberek-demo   %{buildroot}%_bindir/%{name}-demo


%files
%doc surumler.txt dokuman/lisanslar/zemberek-license.txt
%{_javadir}/*
%{_bindir}/*

%files javadoc
%{_javadocdir}/%{name}

%files docs
%{_docdir}/%{name}-docs/*



%changelog

* Mon Apr 01 2013 zezinho <zezinho> 2.1.1-1.mga3
+ Revision: 406939
- imported package zemberek


* Sun Jan 27 2013 Atilla ÖNTAŞ <tarakbumba@gmail.com> zemberek-2.1.1-1mgt3
- Repackage for Mageia3

* Fri Jul 03 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-4mvt2009.1
- Repackage to fit Mandriva Policies

* Tue Apr 14 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-3mvt2009.1
- Fixed some wrong specifications of .spec file 

* Thu Mar 11 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-2mvt2009.1
- Fixed some specifications of .spec file 

* Thu Jan 28 2009 Atilla ÖNTAŞ <atilla_ontas@mandriva.com> zemberek-2.1.1-1mvt2009.1
- Inıtial RPM
- Ported to Mandriva
